// ** Important: **
// This function RomVersionCompatible was borrowed from the Palm SDK examples and is copyright (c) by Palm Inc.

Err RomVersionCompatible(DWord requiredVersion, Word launchFlags) {
  DWord romVersion;
  int err=0;

  // See if we're on in minimum required version of the ROM or later.
  FtrGet(sysFtrCreator, sysFtrNumROMVersion, &romVersion);
  if (romVersion < requiredVersion)
    {
      if ((launchFlags & (sysAppLaunchFlagNewGlobals | sysAppLaunchFlagUIApp)) ==
	  (sysAppLaunchFlagNewGlobals | sysAppLaunchFlagUIApp))
	{
	  ShowError1(RomIncompatibleAlert);
		
	  // Pilot 1.0 will continuously relaunch this app unless we switch to 
	  // another safe one.
	  if (romVersion < sysMakeROMVersion(2,0,0,sysROMStageRelease,0))
	    AppLaunchWithCommand(sysFileCDefaultApp, sysAppLaunchCmdNormalLaunch, NULL);
	}
		
      return (sysErrRomIncompatible);
    }

  return (0);
}
